Subject: Re: git/lib and git/git-gui/lib merge mis-hap?

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 1 Nov 2008 13:22:01 -0700

Andreas Ericsson <[email-masked]> wrote:
> Settling down to get some libgit2 hacking done (adding build-rules
> to git.git), I noticed that there's a file in git.git called
> lib/remote_add.tcl, which looks as if it belongs in git-gui/lib.
>
> I don't know how this happened, but since I assume it's subtree
> merged (thus requiring more work to correct than a simple patch),
> it would be nifty if it could get corrected so as to make space
> for the up-and-coming git library :-)

That was a bad merge of git-gui on my part.  I thought it was fixed.
It only happened in next, and was there only for a day before
someone pointed it out to me, and I fixed it in the tree.

FWIW, "git mv lib/remote_add.tcl git-gui/lib" is all you need to
fix it.  There's nothing special about the subtree merge.

-- 
Shawn.